Bug 585891 - gmond tries to start before networking is ready
gmond tries to start before networking is ready
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ganglia (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 06:59 EDT by Chris Jones
Modified: 2015-06-11 14:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-11 14:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nm dispatcher script to restart gmond on an interface up event (296 bytes, text/plain)
2010-04-26 18:36 EDT, Kostas Georgiou
no flags Details

  None (edit)
Description Chris Jones 2010-04-26 06:59:18 EDT
Description of problem:
At boot time gmond tries to start before networking is ready

Version-Release number of selected component (if applicable):
ganglia-3.1.2-4.fc12.i686

How reproducible:
95% of the time.

Steps to Reproduce:
1. Install and configure ganglia
2. ckhconfig gmond on
3. reboot
  
Actual results:
/usr/sbin/gmond[1328]: Error creating multicast server mcast_join=239.2.11.71 port=8649 mcast_if=NULL family='inet4'. Exiting.#012

Expected results:
Working gmond

Additional info:
The issue is simply that network manager hasn't finished setting up the interface before gmond starts.

Adding a `sleep 5` to the init script works as a temporary bodge. This should be fixed properly.
Comment 1 Kostas Georgiou 2010-04-26 11:22:33 EDT
You can set NETWORKWAIT=true in /etc/sysconfig/network so NetworkManager waits for the network at init time.

Another (better?) solution is a script under /etc/NetworkManager/dispatcher.d, that will restart gmond (if gmond is enabled for the current runlevel) if the network status changes. I'll have a look at it.
Comment 2 Kostas Georgiou 2010-04-26 18:36:30 EDT
Created attachment 409311 [details]
nm dispatcher script to restart gmond on an interface up event

Initial version of a dispatcher script, do we want to restart gmond on an interface down event as well?
Comment 3 Chris Jones 2010-05-05 08:33:06 EDT
Works perfectly! 

All our machines have only the single NIC so on ifup is fine, I suppose it may be of more interest to restart on ifdown on a box with many NICs?

Thanks for the quick response!
Comment 4 Bug Zapper 2010-11-03 12:17:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2012-01-18 06:25:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-04-03 16:06:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Chris Jones 2014-06-09 11:08:39 EDT
Still present in F20, assuming also rawhide
Comment 8 Fedora Admin XMLRPC Client 2015-04-20 13:01:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2015-04-20 13:42:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Terje Røsten 2015-06-11 14:10:51 EDT
Fixed in rawhide by improved service file for gmond:
 http://koji.fedoraproject.org/koji/taskinfo?taskID=10022560

Note You need to log in before you can comment on or make changes to this bug.